Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd.filter
Class RegexFilter

    java.lang.Object
      org.mortbay.cometd.filter.JSONDataFilter
          org.mortbay.cometd.filter.RegexFilter

All Implemented Interfaces:
  org.cometd.DataFilter

    public class RegexFilter

extends JSONDataFilter

Author:
  gregw

Constructor Summary
`RegexFilter()`

Method Summary
`protected Object` | `filterString(String string)`
`void` | `init(Object init)` Assumes the init object is an Array of 2 element Arrays: [regex,replacement].

Methods inherited from class org.mortbay.cometd.filter.JSONDataFilter
`filter, filterArray, filterBoolean, filterJSON, filterJSON, filterMap, filterNumber, filterObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexFilter

    public RegexFilter()

Method Detail

### init

    public void init(Object init)

  Assumes the init object is an Array of 2 element Arrays: [regex,replacement]. if the regex replacement string is null, then an IllegalStateException is thrown if the pattern matches.

  Overrides:
    `init` in class `JSONDataFilter`

### filterString

    protected Object filterString(String string)

  Overrides:
    `filterString` in class `JSONDataFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.